// ==UserScript==
// @name           Fold Trac DiscussionPlugin SubThreads
// @namespace      Trac.DiscussionsPlugin.FoldSubThreads
// @include      */discussion/topic/*
// ==/UserScript==
(function() {
	var nodes = Array.filter(document.getElementsByClassName("reply"), function (elem){
		return elem.nodeName == 'UL';
	});
	
	var thisreply;
	for(var i=1; i<nodes.length; i++) {
		thisreply = nodes[i];
		if(thisreply.children.length > 1) {
			thisreply.style.display = 'none';
			var anchor = document.createElement("a");
			anchor.appendChild(document.createTextNode("[+]"));
			anchor.style.cursor = 'pointer';
			anchor.title = 'Click to expand replies';
			anchor.addEventListener('click', genHandler(thisreply), false);
			thisreply.parentNode.insertBefore(anchor, thisreply);
		}
	}
})();


function genHandler(signode) {
	return (function(event) {
			if(signode.style.display == 'none') {
			  signode.removeAttribute('style');
			  this.firstChild.nodeValue=("[-]");
			  this.title = 'Click to collapse replies';
			 }
			else {
			  signode.style.display = 'none';
			  this.firstChild.nodeValue=("[+]");
			  this.title = 'Click to expand replies';
		}
	});
}